Skip to content

Query task

Query the status and results of MiniMax-H3 official-format video generation, remix, or H3-Context-IR tasks.

http
GET /v2/query/video_generation/video_abc123

Headers

NameTypeRequiredDescription
stringYesRequest authentication. Use a Bearer Token, for example: .
stringNoResponse content type. Can be set to .

Request parameters

NameTypeRequiredDescription
stringYesTask ID. Same as the returned by the creation endpoint.

Request example

bash
curl https://octopusx.ai/v2/query/video_generation/426586401755526 \
  -H "Authorization: Bearer <token>" \
  -H "Accept: application/json"
bash
import requests

resp = requests.get(
    "https://octopusx.ai/v2/query/video_generation/426586401755526",
    headers={
        "Authorization": "Bearer <token>",
        "Accept": "application/json",
    },
    timeout=30,
)
print(resp.json())

Response example

json
{
  "task": {
    "id": "426586401755526",
    "model": "MiniMax-H3",
    "status": "succeeded",
    "created_at": 1785702855,
    "updated_at": 1785702884,
    "content": {
      "prompt": "integrated_multimodal_description: [Shot 1] Cinematic, wide shot with a slow push in on a female captain standing alone at a massive observation window. The last fleet is assembling and jumping away, with bright light flashes and bridge shaking, leaving her behind."
    },
    "duration": 5,
    "usage": {
      "total_tokens": 9090,
      "prompt_tokens": 5664,
      "completion_tokens": 3426
    },
    "ratio": "16:9",
    "task_type": "h3_context_ir",
    "modality": "text"
  }
}
json
{
  "task": {
    "id": "426586401755527",
    "model": "MiniMax-H3",
    "status": "succeeded",
    "created_at": 1785702855,
    "updated_at": 1785702920,
    "content": {
      "url": "https://example.com/video.mp4"
    },
    "duration": 5,
    "usage": {
      "total_seconds": 5,
      "input_seconds": 0,
      "output_seconds": 5,
      "input_image_count": 1
    },
    "resolution": "2K",
    "task_type": "generation",
    "modality": "video"
  }
}
json
{
  "task": {
    "id": "426586401755526",
    "model": "MiniMax-H3",
    "status": "processing",
    "created_at": 1785702855,
    "updated_at": 1785702870
  }
}
json
{
  "task": {
    "id": "426586401755526",
    "model": "MiniMax-H3",
    "status": "failed",
    "created_at": 1785702855,
    "updated_at": 1785702865,
    "error": {
      "message": "Task failed due to content moderation",
      "code": "content_moderation_failed"
    }
  }
}

Response fields

NameTypeDescription
objectTask data. See child fields below.
stringTask ID.
stringModel name, for example .
stringTask status: (in progress), (succeeded), (failed).
integerTask creation time, Unix timestamp (seconds).
integerTask update time, Unix timestamp (seconds).
objectTask result content, varies by task type: - tasks: is the enhanced multimodal description text - Video generation/remix tasks: is a temporary signed URL for the generated video (time-limited; download or persist promptly)
integerTarget video duration in seconds.
objectUsage stats, varies by task type: - tasks: , , - Video generation/remix tasks: (total duration), (input duration), (output duration), (input image count)
stringAspect ratio, for example ; returned for H3-Context-IR tasks.
stringOutput resolution, for example ; returned for video generation/remix tasks.
stringTask type: (H3-Context-IR prompt enhancement), (video generation).
stringTask modality: (text), (video).
objectError object (only when ), includes and .